// KheperaVRDlg.h : fichier d'en-tte
//

#pragma once
#include "afxwin.h"

//---------------------------------------------------------------------------
#define MYROBOTTRANSFERT 1
typedef struct tagMYREC
{
	char Robot_msg[200];
} MYROBOTREC;
//---------------------------------------------------------------------------
// bote de dialogue CKheperaVRDlg
class CKheperaVRDlg : public CDialog
{
// Construction
public:
	CKheperaVRDlg(CWnd* pParent = NULL);	// constructeur standard

// Donnes de bote de dialogue
	enum { IDD = IDD_KHEPERAVR_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// Prise en charge de DDX/DDV
	void SendRobotMsg(char * MsgToSend);
	void RxVRMsg(char * Robot_msg);
	void RefreshInfo();
	void SendSQLRecord();
	virtual void OnOK();

// Implmentation
protected:
	HICON m_hIcon;
	bool	m_AutoSend, ServerAIP, UseRobotReel;
	SYSTEMTIME tmhere;
	int PosX, PosY;
	int LeftSpeed, RightSpeed;
	int sensors_prox[8];
//	k2Robot * RobotReel;		// via la biblothque de comm k2Robot

	// Fonctions gnres de la table des messages
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedBtgetspeed();
	afx_msg void OnBnClickedBtsetspeed();
	afx_msg void OnEnUpdateEditleftspeed();
	afx_msg void OnEnUpdateEditrightspeed();
	afx_msg void OnBnClickedBtstop();
	afx_msg BOOL OnCopyData(CWnd* pWnd, COPYDATASTRUCT* pCopyDataStruct);
	afx_msg void OnBnClickedBtgetposition();
	afx_msg void OnBnClickedBtproximitysensors();
	afx_msg void OnBnClickedCbautosend();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnBnClickedBtmanualsend();
	CEdit mEditStatus;
	CString StatusStr;
	afx_msg void OnBnClickedBtclearlog();
	afx_msg void OnBnClickedCbaipserver();
	afx_msg void OnBnClickedRdrobotvr();
	afx_msg void OnBnClickedRdrobotreel();
};
