// KheperaVRDlg.cpp : fichier d'implmentation
//

#include "stdafx.h"
#include <strsafe.h>
#include <winsock.h>
#include <mysql\mysql.h>
#include "KheperaVR.h"
#include "KheperaVRDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// bote de dialogue CAboutDlg utilise pour la bote de dialogue ' propos de' pour votre application

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Donnes de bote de dialogue
	enum { IDD = IDD_ABOUTBOX };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // Prise en charge de DDX/DDV

// Implmentation
protected:
	DECLARE_MESSAGE_MAP()
public:
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
END_MESSAGE_MAP()


// bote de dialogue CKheperaVRDlg




CKheperaVRDlg::CKheperaVRDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CKheperaVRDlg::IDD, pParent)
	, StatusStr(_T(""))
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
	UseRobotReel=false;	// utilise le Robot Virtuel pour commencer
//	RobotReel=NULL;
}

void CKheperaVRDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_EDITStatus, mEditStatus);
	DDX_Text(pDX, IDC_EDITStatus, StatusStr);
}

BEGIN_MESSAGE_MAP(CKheperaVRDlg, CDialog)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDC_BTGetSpeed, &CKheperaVRDlg::OnBnClickedBtgetspeed)
	ON_BN_CLICKED(IDC_BTSetSpeed, &CKheperaVRDlg::OnBnClickedBtsetspeed)
	ON_EN_UPDATE(IDC_EDITLeftSpeed, &CKheperaVRDlg::OnEnUpdateEditleftspeed)
	ON_EN_UPDATE(IDC_EDITRightSpeed, &CKheperaVRDlg::OnEnUpdateEditrightspeed)
	ON_BN_CLICKED(IDC_BTSTOP, &CKheperaVRDlg::OnBnClickedBtstop)
	ON_WM_COPYDATA()
	ON_BN_CLICKED(IDC_BTGetPosition, &CKheperaVRDlg::OnBnClickedBtgetposition)
	ON_BN_CLICKED(IDC_BTProximitySensors, &CKheperaVRDlg::OnBnClickedBtproximitysensors)
	ON_BN_CLICKED(IDC_CBAutoSend, &CKheperaVRDlg::OnBnClickedCbautosend)
	ON_WM_TIMER()
	ON_BN_CLICKED(IDC_BTManualSend, &CKheperaVRDlg::OnBnClickedBtmanualsend)
	ON_BN_CLICKED(IDC_BTClearLog, &CKheperaVRDlg::OnBnClickedBtclearlog)
	ON_BN_CLICKED(IDC_CBAIPSERVER, &CKheperaVRDlg::OnBnClickedCbaipserver)
	ON_BN_CLICKED(IDC_RDRobotVR, &CKheperaVRDlg::OnBnClickedRdrobotvr)
	ON_BN_CLICKED(IDC_RDRobotReel, &CKheperaVRDlg::OnBnClickedRdrobotreel)
END_MESSAGE_MAP()


// gestionnaires de messages pour CKheperaVRDlg

BOOL CKheperaVRDlg::OnInitDialog()
{
	CDialog::OnInitDialog();
	m_AutoSend=false;	// Par dfaut : N'envoie pas au serveur
	ServerAIP=true;		// c'est le serveur de l'AIP qui sera utilis

	// Ajouter l'lment de menu " propos de..." au menu Systme.
	// IDM_ABOUTBOX doit se trouver dans la plage des commandes systme.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Dfinir l'icne de cette bote de dialogue. L'infrastructure effectue cela automatiquement
	//  lorsque la fentre principale de l'application n'est pas une bote de dialogue
	SetIcon(m_hIcon, TRUE);			// Dfinir une grande icne
	SetIcon(m_hIcon, FALSE);		// Dfinir une petite icne

	// TODO : ajoutez ici une initialisation supplmentaire
	CButton * CB;
	CB = reinterpret_cast<CButton *>(GetDlgItem(IDC_CBAIPSERVER));
	CB->SetCheck( ServerAIP ? BST_CHECKED : BST_UNCHECKED);
	CB = reinterpret_cast<CButton *>(GetDlgItem(IDC_RDRobotVR));
	CB->SetCheck( !UseRobotReel ? BST_CHECKED : BST_UNCHECKED);
	CB = reinterpret_cast<CButton *>(GetDlgItem(IDC_RDRobotReel));
	CB->SetCheck( UseRobotReel ? BST_CHECKED : BST_UNCHECKED);

	CEdit * Edit;
	Edit = reinterpret_cast<CEdit *>(GetDlgItem(IDC_EDITLeftSpeed));
	Edit->SetWindowText("0");
	Edit = reinterpret_cast<CEdit *>(GetDlgItem(IDC_EDITRightSpeed));
	Edit->SetWindowText("0");

	CSpinButtonCtrl * spin; 
	spin = reinterpret_cast<CSpinButtonCtrl *>(GetDlgItem(IDC_SPINLeftSpeed));
	spin->SetRange32(-127, 127);
	spin = reinterpret_cast<CSpinButtonCtrl *>(GetDlgItem(IDC_SPINRightSpeed));
	spin->SetRange32(-127, 127);
	Edit = reinterpret_cast<CEdit *>(GetDlgItem(IDC_EDITTime2Send));
	Edit->SetWindowText("2");

	return TRUE;  // retourne TRUE, sauf si vous avez dfini le focus sur un contrle
}

void CKheperaVRDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// Si vous ajoutez un bouton Rduire  votre bote de dialogue, vous devez utiliser le code ci-dessous
//  pour dessiner l'icne. Pour les applications MFC utilisant le modle Document/Vue,
//  cela est fait automatiquement par l'infrastructure.

void CKheperaVRDlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // contexte de priphrique pour la peinture

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Centrer l'icne dans le rectangle client
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Dessiner l'icne
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// Le systme appelle cette fonction pour obtenir le curseur  afficher lorsque l'utilisateur fait glisser
//  la fentre rduite.
HCURSOR CKheperaVRDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}
//---------------------------------------------------------------------------
void CKheperaVRDlg::OnBnClickedBtgetspeed()
{
	SendRobotMsg("E");
}
//---------------------------------------------------------------------------
void CKheperaVRDlg::OnBnClickedBtgetposition()
{
	SendRobotMsg("H");
}
//---------------------------------------------------------------------------
void CKheperaVRDlg::OnBnClickedBtproximitysensors()
{
	SendRobotMsg("N");
}
//---------------------------------------------------------------------------
void CKheperaVRDlg::SendRobotMsg(char * MsgToSend)
{
// pour envoyer
CWnd* hwDispatch = NULL;
COPYDATASTRUCT MyCDS;
MYROBOTREC MyRobotRec;
HRESULT hrCopy = S_OK;
//char ReponseRobotReel[200];

	if (UseRobotReel)
		{
//		?????   complter : TP n4
//		OutputDebugString( "Msg envoy : ");
//		OutputDebugString( MsgToSend);	OutputDebugString( "\n");
//		?????   complter : TP n4
		}
	else
		{
		hrCopy = StringCbCopy( MyRobotRec.Robot_msg, sizeof(MyRobotRec.Robot_msg), MsgToSend );
		if (hrCopy != S_OK) 
							{
							//MessageBox( "copy mlsg pas possible", "debug KheperaVR", MB_OK);
							OutputDebugString(_T("copy mlsg pas possible\n"));
							return;
							}

		// Fill the COPYDATA structure
		 MyCDS.dwData = MYROBOTTRANSFERT;          // function identifier
		 MyCDS.cbData = sizeof( MyRobotRec );  // size of data
		 MyCDS.lpData = &MyRobotRec;           // data structure
		// Call function, passing data in &MyCDS
		//MessageBox( "va chercher la	 window", "debug KheperaVR", MB_OK);
		 hwDispatch = FindWindow( NULL,  "Robots - mfc_gl");
		 //hwDispatch = FindWindow( NULL,  "MFCGL_VIEW_CLASS_NAME");
		 if( hwDispatch != NULL )
				{
				hwDispatch->SendMessage( WM_COPYDATA, (WPARAM)(HWND) NULL, (LPARAM) (LPVOID) &MyCDS );
				OutputDebugString( "Msg envoy : ");
				OutputDebugString( MyRobotRec.Robot_msg);	OutputDebugString( "\n");
				}
		 else {
					OutputDebugString(_T("Can't send WM_COPYDATA from KheperaVR\n"));
					}
		}

}
//---------------------------------------------------------------------------
void CKheperaVRDlg::OnBnClickedBtsetspeed()
{
int LeftSpeed, RightSpeed;
char Robot_msg[200], Txt[20];
	CEdit * Edit;
	Edit = reinterpret_cast<CEdit *>(GetDlgItem(IDC_EDITLeftSpeed));
	if (Edit)	Edit->GetWindowText( Txt, 20);
		else return;	// objet non cre encore	
	LeftSpeed= atoi(Txt);
	Edit = reinterpret_cast<CEdit *>(GetDlgItem(IDC_EDITRightSpeed));
	if (Edit)	Edit->GetWindowText( Txt, 20);
		else return;	// objet non cre encore	
	RightSpeed= atoi(Txt);
	OutputDebugString( "Ask to Set speed : Msg envoy : ");
	sprintf_s( Robot_msg, 200, "D,%d,%d\n", LeftSpeed, RightSpeed);
	OutputDebugString( Robot_msg);	OutputDebugString( "\n");
	SendRobotMsg( Robot_msg);
}
//---------------------------------------------------------------------------
void CKheperaVRDlg::OnEnUpdateEditleftspeed()
{
	OnBnClickedBtsetspeed();
}
//---------------------------------------------------------------------------
void CKheperaVRDlg::OnEnUpdateEditrightspeed()
{
	OnBnClickedBtsetspeed();
}
//---------------------------------------------------------------------------
void CKheperaVRDlg::OnBnClickedBtstop()
{
// ????  complter : TP n1
}
//---------------------------------------------------------------------------
void CKheperaVRDlg::RxVRMsg(char * Robot_msg)
{
char seps[] = ",";	// separateurs
char * token;
char *next_token = NULL;
char Robot_msgCopy[200];
int n;
	OutputDebugString( "Msg reu : ");
	OutputDebugString( Robot_msg);	OutputDebugString( "\n");
	strcpy_s( Robot_msgCopy, 200, Robot_msg);
  token = strtok_s( Robot_msgCopy, seps, &next_token);
  // While there are tokens in Robot_msgCopy
	if (token == NULL) return;
	OutputDebugString( "decode : ");	OutputDebugString( token);
	if (token[0] == 'e') // Read speed : Format of the response: e, speed_motor_left, speed_motor_right
			{
			OutputDebugString( " : Read speed : ");  
			token = strtok_s( NULL, seps, &next_token);
			OutputDebugString( token); OutputDebugString( "|");  
			LeftSpeed = atoi(token);	//	speed_motor_left
			token = strtok_s( NULL, seps, &next_token);
			OutputDebugString( token); OutputDebugString( "\n");
			RightSpeed = atoi(token);	//	speed_motor_right
			// affiche sur l'Edit
			sprintf_s( Robot_msgCopy, 200, "speed_left= %d   speed_right= %d", LeftSpeed, RightSpeed);
			CString s;
			s.Format(_T("%s\r\n"), Robot_msgCopy);
			UpdateData();
			StatusStr += s; 
			UpdateData(FALSE);
			n=mEditStatus.GetWindowTextLength()-1;
			mEditStatus.SetSel(n,n,TRUE);
			mEditStatus.PostMessage(WM_KEYDOWN,VK_END,0);

			}
	if (token[0] == 'h') // Read position : Format of the response: h, position_motor_left, position_motor_right
			{// ATTENTION pour le Virtual Khepera : on remplace position du moteur par la position X et Y du RobotK
			OutputDebugString( " : Read position: ");  
			token = strtok_s( NULL, seps, &next_token);
			OutputDebugString( token); OutputDebugString( "|");
			PosX = atoi(token);	//	PosX (10 fois la relle)
			token = strtok_s( NULL, seps, &next_token);
			OutputDebugString( token); OutputDebugString( "\n");
			PosY = atoi(token);	//	PosY (10 fois la relle)
			sprintf_s( Robot_msgCopy, 200, "PosX= %d   PosX= %d", PosX, PosY);
			CString s;
			s.Format(_T("%s\r\n"), Robot_msgCopy);
			StatusStr += s; 
			UpdateData();
			StatusStr += s; 
			UpdateData(FALSE);
			n=mEditStatus.GetWindowTextLength()-1;
			mEditStatus.SetSel(n,n,TRUE);
			mEditStatus.PostMessage(WM_KEYDOWN,VK_END,0);
			}
	if (token[0] == 'n') // Read proximity sensors : Format of the response: n,val_sens_left_90,val_sens_left_45,val_sens_left_10,
											//																									val_sens_right_10,val_sens_right_45,val_sens_right_90
											//																									,val_sens_back_right,val_sens_back_left
			{
			OutputDebugString( " : Read proximity sensors \n");  
			token = strtok_s( NULL, seps, &next_token);
			sensors_prox[0] = atoi(token);	//	val_sens_left_90
			token = strtok_s( NULL, seps, &next_token);
			sensors_prox[1] = atoi(token);	//	val_sens_left_45
			token = strtok_s( NULL, seps, &next_token);
			sensors_prox[2] = atoi(token);	//	val_sens_left_10
			token = strtok_s( NULL, seps, &next_token);
			sensors_prox[3] = atoi(token);	//	val_sens_right_10
			token = strtok_s( NULL, seps, &next_token);
			sensors_prox[4] = atoi(token);	//	val_sens_right_45
			token = strtok_s( NULL, seps, &next_token);
			sensors_prox[5] = atoi(token);	//	val_sens_right_90
			token = strtok_s( NULL, seps, &next_token);
			sensors_prox[6] = atoi(token);	//	val_sens_back_right
			token = strtok_s( NULL, seps, &next_token);
			sensors_prox[7] = atoi(token);	//	val_sens_back_left
			// affiche sur l'Edit
			sprintf_s( Robot_msgCopy, 200, "Sensors left = %d, %d, %d   right = %d, %d, %d   back = %d, %d\n",
															sensors_prox[0], sensors_prox[1], sensors_prox[2], 
															sensors_prox[3], sensors_prox[4], sensors_prox[5], 
															sensors_prox[6], sensors_prox[7]);
			CString s;
			s.Format(_T("%s\r\n"), Robot_msgCopy);
			StatusStr += s; 
			UpdateData();
			StatusStr += s; 
			UpdateData(FALSE);
			n=mEditStatus.GetWindowTextLength()-1;
			mEditStatus.SetSel(n,n,TRUE);
			mEditStatus.PostMessage(WM_KEYDOWN,VK_END,0);
			}
}
//---------------------------------------------------------------------------
BOOL CKheperaVRDlg::OnCopyData(CWnd* pWnd, COPYDATASTRUCT* pCopyDataStruct)
{
	switch( pCopyDataStruct->dwData )
		{
		case MYROBOTTRANSFERT:
		RxVRMsg( ((MYROBOTREC *)(pCopyDataStruct->lpData))->Robot_msg);
		}
	return CDialog::OnCopyData(pWnd, pCopyDataStruct);
}
//---------------------------------------------------------------------------
void CKheperaVRDlg::OnOK()
{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
}
//---------------------------------------------------------------------------
void CKheperaVRDlg::OnBnClickedCbautosend()
{// Start/Stop Timer
	if(m_AutoSend)	{
									KillTimer(1);
									m_AutoSend=false;
									}
		else					{
									CEdit * Edit;
									char Txt[20];
									Edit = reinterpret_cast<CEdit *>(GetDlgItem(IDC_EDITTime2Send));
									if (Edit)	Edit->GetWindowText( Txt, 20);
									SetTimer(1,atof(Txt)*1000,NULL);	
									m_AutoSend=true;
									}	
}
//---------------------------------------------------------------------------
void CKheperaVRDlg::OnTimer(UINT_PTR nIDEvent)
{
  switch(nIDEvent)
    {
        case 1:	MessageBeep(0xFFFFFFFF);  // Beep
								RefreshInfo();
								SendSQLRecord();
        default:break;
    }    
	CDialog::OnTimer(nIDEvent);
}
//---------------------------------------------------------------------------
void CKheperaVRDlg::OnBnClickedBtmanualsend()
{
	RefreshInfo();
	SendSQLRecord();
}
//---------------------------------------------------------------------------
void CKheperaVRDlg::RefreshInfo()
{
	SendRobotMsg("E");
	SendRobotMsg("H");
	SendRobotMsg("N");
	GetLocalTime(&tmhere);
}
//---------------------------------------------------------------------------
void CKheperaVRDlg::SendSQLRecord()
{
// ?????  complter : TP n5
}
//---------------------------------------------------------------------------
void CKheperaVRDlg::OnBnClickedBtclearlog()
{
			UpdateData();
			StatusStr =""; 
			UpdateData(FALSE);
}
//---------------------------------------------------------------------------
void CKheperaVRDlg::OnBnClickedCbaipserver()
{
	CButton * CB;
	CB = reinterpret_cast<CButton *>(GetDlgItem(IDC_CBAIPSERVER));
	ServerAIP=CB->GetCheck();
}
//---------------------------------------------------------------------------
void CKheperaVRDlg::OnBnClickedRdrobotvr()
{
	OutputDebugString( "Passage en mode Robot Virtuel\n");
	CString s;
	s.Format(_T("Passage en mode Robot Virtuel\r\n"));
	StatusStr += s; 
	UpdateData();
	StatusStr += s; 
	UpdateData(FALSE);
	// libre le port COM et donc le robot
	//if (RobotReel!=NULL) delete RobotReel;
	//RobotReel=NULL;
	UseRobotReel=false;
	OutputDebugString( "Robot Virtuel prt !\n");
}
//---------------------------------------------------------------------------
void CKheperaVRDlg::OnBnClickedRdrobotreel()
{
	OutputDebugString( "Passage en mode Robot Rel\n");
	CString s;
	s.Format(_T("Passage en mode Robot Rel\r\n"));
	StatusStr += s; 
	UpdateData();
	StatusStr += s; 
	UpdateData(FALSE);
	// ouvre le port COM pour dialoguer avec le robot rel
//	if (RobotReel==NULL)	RobotReel= ????  complter : TP n4
//	if (RobotReel->hCom == INVALID_HANDLE_VALUE)
//													{
//													if (RobotReel!=NULL) delete RobotReel;
//													RobotReel=NULL;
//													UseRobotReel=false;
//													OutputDebugString( "chou : retour en VR\n");
//													}
//				else			{
//									UseRobotReel=true;
//									OutputDebugString( "Robot rel prt !\n");
//									}
}
//---------------------------------------------------------------------------
